org.wildfly.swarm.config.modcluster

## Class ConfigurationModClusterConfig<T extends ConfigurationModClusterConfig<T>>

- java.lang.Object
- - org.wildfly.swarm.config.modcluster.ConfigurationModClusterConfig<T>

-     public class ConfigurationModClusterConfig<T extends ConfigurationModClusterConfig<T>>
      extends Object

  The common mod_cluster configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigurationModClusterConfig.ConfigurationModClusterConfigResources` Child mutators for ConfigurationModClusterConfig
    `static class` | `ConfigurationModClusterConfig.SessionDrainingStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModClusterConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `advertise()` Whether to enable multicast-based advertise mechanism.
    `T` | `advertise(Boolean value)` Whether to enable multicast-based advertise mechanism.
    `String` | `advertiseSecurityKey()` If specified, reverse proxy advertisements checksums will be verified using this value as a salt.
    `T` | `advertiseSecurityKey(String value)` If specified, reverse proxy advertisements checksums will be verified using this value as a salt.
    `String` | `advertiseSocket()` Name of socket binding to use for the advertise socket.
    `T` | `advertiseSocket(String value)` Name of socket binding to use for the advertise socket.
    `Boolean` | `autoEnableContexts()` If false, the contexts are registered with the reverse proxy as disabled; they need to be enabled via the enable-context operation or via mod_cluster_manager console.
    `T` | `autoEnableContexts(Boolean value)` If false, the contexts are registered with the reverse proxy as disabled; they need to be enabled via the enable-context operation or via mod_cluster_manager console.
    `String` | `balancer()` The name of the balancer on the reverse proxy to register with.
    `T` | `balancer(String value)` The name of the balancer on the reverse proxy to register with.
    `T` | `configurationDynamicLoadProvider()` Dynamic load provider configuration.
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProvider value)` Dynamic load provider configuration.
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderConsumer consumer)` Dynamic load provider configuration.
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderSupplier supplier)` Dynamic load provider configuration.
    `T` | `configurationSsl()` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSsl value)` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSslConsumer consumer)` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSslSupplier supplier)` The SSL configuration to client MCMP logic.
    `String` | `connector()` The name of Undertow listener that will be registered with the reverse proxy.
    `T` | `connector(String value)` The name of Undertow listener that will be registered with the reverse proxy.
    `String` | `excludedContexts()` List of contexts to exclude from registration with the reverse proxies.
    `T` | `excludedContexts(String value)` List of contexts to exclude from registration with the reverse proxies.
    `Boolean` | `flushPackets()` Whether to enable packet flushing on the reverse proxy.
    `T` | `flushPackets(Boolean value)` Whether to enable packet flushing on the reverse proxy.
    `Integer` | `flushWait()` Time to wait before flushing packets on the reverse proxy.
    `T` | `flushWait(Integer value)` Time to wait before flushing packets on the reverse proxy.
    `String` | `getKey()`
    `String` | `loadBalancingGroup()` Name of the load balancing group this node belongs to.
    `T` | `loadBalancingGroup(String value)` Name of the load balancing group this node belongs to.
    `Integer` | `maxAttempts()` Number of times the reverse proxy will attempt to send a given request to a worker before giving up.
    `T` | `maxAttempts(Integer value)` Number of times the reverse proxy will attempt to send a given request to a worker before giving up.
    `Integer` | `nodeTimeout()` Timeout (in seconds) for proxy connections to a node.
    `T` | `nodeTimeout(Integer value)` Timeout (in seconds) for proxy connections to a node.
    `Integer` | `ping()` Time (in seconds) in which to wait for a pong answer to a ping.
    `T` | `ping(Integer value)` Time (in seconds) in which to wait for a pong answer to a ping.
    `List<String>` | `proxies()` List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxies(List<String> value)` List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxies(String... args)` List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxy(String value)` List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `String` | `proxyUrl()` Base URL for MCMP requests.
    `T` | `proxyUrl(String value)` Base URL for MCMP requests.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ConfigurationModClusterConfig.SessionDrainingStrategy` | `sessionDrainingStrategy()` Session draining strategy used during undeployment of a web application.
    `T` | `sessionDrainingStrategy(ConfigurationModClusterConfig.SessionDrainingStrategy value)` Session draining strategy used during undeployment of a web application.
    `Integer` | `simpleLoadProvider()` Simple load provider configuration.
    `T` | `simpleLoadProvider(Integer value)` Simple load provider configuration.
    `Integer` | `smax()` Soft maximum idle connection count for reverse proxy.
    `T` | `smax(Integer value)` Soft maximum idle connection count for reverse proxy.
    `Integer` | `socketTimeout()` Timeout to wait for the reverse proxy to answer a MCMP message.
    `T` | `socketTimeout(Integer value)` Timeout to wait for the reverse proxy to answer a MCMP message.
    `String` | `sslContext()` Reference to the SSLContext to be used by mod_cluster.
    `T` | `sslContext(String value)` Reference to the SSLContext to be used by mod_cluster.
    `Integer` | `statusInterval()` Number of seconds a STATUS message is sent from the application server to the proxy.
    `T` | `statusInterval(Integer value)` Number of seconds a STATUS message is sent from the application server to the proxy.
    `Boolean` | `stickySession()` Indicates whether subsequent requests for a given session should be routed to the same node, if possible.
    `T` | `stickySession(Boolean value)` Indicates whether subsequent requests for a given session should be routed to the same node, if possible.
    `Boolean` | `stickySessionForce()` Indicates whether the reverse proxy should return an error in the event that the balancer is unable to route a request to the node to which it is stuck.
    `T` | `stickySessionForce(Boolean value)` Indicates whether the reverse proxy should return an error in the event that the balancer is unable to route a request to the node to which it is stuck.
    `Boolean` | `stickySessionRemove()` Indicates whether the reverse proxy should remove session stickiness in the event that the balancer is unable to route a request to the node to which it is stuck.
    `T` | `stickySessionRemove(Boolean value)` Indicates whether the reverse proxy should remove session stickiness in the event that the balancer is unable to route a request to the node to which it is stuck.
    `Integer` | `stopContextTimeout()` Maximum time to wait for context to process pending requests.
    `T` | `stopContextTimeout(Integer value)` Maximum time to wait for context to process pending requests.
    `ConfigurationModClusterConfig.ConfigurationModClusterConfigResources` | `subresources()`
    `Integer` | `ttl()` Time to live (in seconds) for idle connections above smax.
    `T` | `ttl(Integer value)` Time to live (in seconds) for idle connections above smax.
    `Integer` | `workerTimeout()` Number of seconds to wait for a worker to become available to handle a request.
    `T` | `workerTimeout(Integer value)` Number of seconds to wait for a worker to become available to handle a request.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationModClusterConfig

          public ConfigurationModClusterConfig()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ConfigurationModClusterConfig.ConfigurationModClusterConfigResources subresources()

    - #### configurationSsl

          public T configurationSsl(ConfigurationSsl value)

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl(ConfigurationSslConsumer consumer)

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl()

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl(ConfigurationSslSupplier supplier)

      The SSL configuration to client MCMP logic.

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProvider value)

      Dynamic load provider configuration.

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderConsumer consumer)

      Dynamic load provider configuration.

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider()

      Dynamic load provider configuration.

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderSupplier supplier)

      Dynamic load provider configuration.

    - #### advertise

          public Boolean advertise()

      Whether to enable multicast-based advertise mechanism.

    - #### advertise

          public T advertise(Boolean value)

      Whether to enable multicast-based advertise mechanism.

    - #### advertiseSecurityKey

          public String advertiseSecurityKey()

      If specified, reverse proxy advertisements checksums will be verified using this value as a salt.

    - #### advertiseSecurityKey

          public T advertiseSecurityKey(String value)

      If specified, reverse proxy advertisements checksums will be verified using this value as a salt.

    - #### advertiseSocket

          public String advertiseSocket()

      Name of socket binding to use for the advertise socket.

    - #### advertiseSocket

          public T advertiseSocket(String value)

      Name of socket binding to use for the advertise socket.

    - #### autoEnableContexts

          public Boolean autoEnableContexts()

      If false, the contexts are registered with the reverse proxy as disabled; they need to be enabled via the enable-context operation or via mod_cluster_manager console.

    - #### autoEnableContexts

          public T autoEnableContexts(Boolean value)

      If false, the contexts are registered with the reverse proxy as disabled; they need to be enabled via the enable-context operation or via mod_cluster_manager console.

    - #### balancer

          public String balancer()

      The name of the balancer on the reverse proxy to register with.

    - #### balancer

          public T balancer(String value)

      The name of the balancer on the reverse proxy to register with.

    - #### connector

          public String connector()

      The name of Undertow listener that will be registered with the reverse proxy.

    - #### connector

          public T connector(String value)

      The name of Undertow listener that will be registered with the reverse proxy.

    - #### excludedContexts

          public String excludedContexts()

      List of contexts to exclude from registration with the reverse proxies.

    - #### excludedContexts

          public T excludedContexts(String value)

      List of contexts to exclude from registration with the reverse proxies.

    - #### flushPackets

          public Boolean flushPackets()

      Whether to enable packet flushing on the reverse proxy.

    - #### flushPackets

          public T flushPackets(Boolean value)

      Whether to enable packet flushing on the reverse proxy.

    - #### flushWait

          public Integer flushWait()

      Time to wait before flushing packets on the reverse proxy.

    - #### flushWait

          public T flushWait(Integer value)

      Time to wait before flushing packets on the reverse proxy.

    - #### loadBalancingGroup

          public String loadBalancingGroup()

      Name of the load balancing group this node belongs to.

    - #### loadBalancingGroup

          public T loadBalancingGroup(String value)

      Name of the load balancing group this node belongs to.

    - #### maxAttempts

          public Integer maxAttempts()

      Number of times the reverse proxy will attempt to send a given request to a worker before giving up.

    - #### maxAttempts

          public T maxAttempts(Integer value)

      Number of times the reverse proxy will attempt to send a given request to a worker before giving up.

    - #### nodeTimeout

          public Integer nodeTimeout()

      Timeout (in seconds) for proxy connections to a node. That is the time mod_cluster will wait for the back-end response before returning an error.

    - #### nodeTimeout

          public T nodeTimeout(Integer value)

      Timeout (in seconds) for proxy connections to a node. That is the time mod_cluster will wait for the back-end response before returning an error.

    - #### ping

          public Integer ping()

      Time (in seconds) in which to wait for a pong answer to a ping.

    - #### ping

          public T ping(Integer value)

      Time (in seconds) in which to wait for a pong answer to a ping.

    - #### proxies

          public List<String> proxies()

      List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxies

          public T proxies(List<String> value)

      List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxy

          public T proxy(String value)

      List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxies

          public T proxies(String... args)

      List of reverse proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxyUrl

          public String proxyUrl()

      Base URL for MCMP requests.

    - #### proxyUrl

          public T proxyUrl(String value)

      Base URL for MCMP requests.

    - #### sessionDrainingStrategy

          public ConfigurationModClusterConfig.SessionDrainingStrategy sessionDrainingStrategy()

      Session draining strategy used during undeployment of a web application.

    - #### sessionDrainingStrategy

          public T sessionDrainingStrategy(ConfigurationModClusterConfig.SessionDrainingStrategy value)

      Session draining strategy used during undeployment of a web application.

    - #### simpleLoadProvider

          public Integer simpleLoadProvider()

      Simple load provider configuration.

    - #### simpleLoadProvider

          public T simpleLoadProvider(Integer value)

      Simple load provider configuration.

    - #### smax

          public Integer smax()

      Soft maximum idle connection count for reverse proxy.

    - #### smax

          public T smax(Integer value)

      Soft maximum idle connection count for reverse proxy.

    - #### socketTimeout

          public Integer socketTimeout()

      Timeout to wait for the reverse proxy to answer a MCMP message.

    - #### socketTimeout

          public T socketTimeout(Integer value)

      Timeout to wait for the reverse proxy to answer a MCMP message.

    - #### sslContext

          public String sslContext()

      Reference to the SSLContext to be used by mod_cluster.

    - #### sslContext

          public T sslContext(String value)

      Reference to the SSLContext to be used by mod_cluster.

    - #### statusInterval

          public Integer statusInterval()

      Number of seconds a STATUS message is sent from the application server to the proxy.

    - #### statusInterval

          public T statusInterval(Integer value)

      Number of seconds a STATUS message is sent from the application server to the proxy.

    - #### stickySession

          public Boolean stickySession()

      Indicates whether subsequent requests for a given session should be routed to the same node, if possible.

    - #### stickySession

          public T stickySession(Boolean value)

      Indicates whether subsequent requests for a given session should be routed to the same node, if possible.

    - #### stickySessionForce

          public Boolean stickySessionForce()

      Indicates whether the reverse proxy should return an error in the event that the balancer is unable to route a request to the node to which it is stuck. Ignored if sticky sessions are disabled.

    - #### stickySessionForce

          public T stickySessionForce(Boolean value)

      Indicates whether the reverse proxy should return an error in the event that the balancer is unable to route a request to the node to which it is stuck. Ignored if sticky sessions are disabled.

    - #### stickySessionRemove

          public Boolean stickySessionRemove()

      Indicates whether the reverse proxy should remove session stickiness in the event that the balancer is unable to route a request to the node to which it is stuck. Ignored if sticky sessions are disabled.

    - #### stickySessionRemove

          public T stickySessionRemove(Boolean value)

      Indicates whether the reverse proxy should remove session stickiness in the event that the balancer is unable to route a request to the node to which it is stuck. Ignored if sticky sessions are disabled.

    - #### stopContextTimeout

          public Integer stopContextTimeout()

      Maximum time to wait for context to process pending requests.

    - #### stopContextTimeout

          public T stopContextTimeout(Integer value)

      Maximum time to wait for context to process pending requests.

    - #### ttl

          public Integer ttl()

      Time to live (in seconds) for idle connections above smax.

    - #### ttl

          public T ttl(Integer value)

      Time to live (in seconds) for idle connections above smax.

    - #### workerTimeout

          public Integer workerTimeout()

      Number of seconds to wait for a worker to become available to handle a request.

    - #### workerTimeout

          public T workerTimeout(Integer value)

      Number of seconds to wait for a worker to become available to handle a request.

Copyright © 2018 JBoss by Red Hat. All rights reserved.